org.apache.flume.auth

## Class KerberosUser

- java.lang.Object
- - org.apache.flume.auth.KerberosUser

-     public class KerberosUser
      extends Object

  Simple Pair class used to define a unique (principal, keyTab) combination.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KerberosUser(String principal, String keyTab)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getKeyTab()`
    `String` | `getPrincipal()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KerberosUser

          public KerberosUser(String principal,
                      String keyTab)

  - ### Method Detail

    - #### getPrincipal

          public String getPrincipal()

    - #### getKeyTab

          public String getKeyTab()

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.